cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Stephane KONIGSDORFER" <stephane.konigsdor...@carso.banquepopulaire.fr>
Subject Re: Problem with validation "on-the-fly" on Cocoon 1.7.4 / Tomcat 3.1
Date Mon, 22 May 2000 12:23:42 GMT
>>So I changed "parser.validate = true" in cocoon.properties, but then I
keep
>>getting the following page (even with Cocoon samples) :
>>
>>----- BEGIN OF PAGE ------
>>Publishing Engine could not be initialized.
>>java.lang.RuntimeException: org.xml.sax.SAXParseException: Attribute
>>"version" must be declared for element type "xsl:stylesheet".
>> at org.apache.xerces.framework.XMLParser.reportError(XMLParser.java:1318)

>>Delivered XML and XSL files seem to be OK (they HAVE the version
>>attribute),
>>so what is wrong ?

>It is not the delivered files you should worry about, but the original
>source files. You must have forgotten to declare a version attribute on one
>of your stylesheets - or maybe a logichsheet in Cocoon itself doesn't have
>it.


Precisely, I tested two Cocoon files : http://...:8080/Cocoon.xml and then
http://...:8080/samples/index.xml

At least, <cocoon>/samples/index.xsl contains :
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
so it seems OK because "version" attribute is present.

Is there a way to get around (without re-building Cocoon) ?

Steph.




Mime
View raw message